# -*- coding: utf-8 -*-

# Copyright © 2018 by IBPort. All rights reserved.
# @Author: Neal Wong
# @Email: ibprnd@gmail.com


def format_variant(variant):
    if not variant:
        return ''

    return repr({
        'product_id': variant.product_id,
        'variant_id': variant.id,
        'sku': variant.sku,
        'inventory_level': variant.inventory_level,
        'price': variant.price
    })

def format_ali_sku(sku_attr):
    raw_sku_parts = sku_attr.split(';')
    sku_parts = [raw_sku_part.split('#').pop(0) for raw_sku_part in raw_sku_parts]
    return ';'.join(sku_parts)
